kz layout is non-Latin

Bug #356816 reported by Vitaly Petrov on 2009-04-07
2
Affects Status Importance Assigned to Milestone
console-setup (Ubuntu)
Medium
Colin Watson
gfxboot-theme-ubuntu (Ubuntu)
Medium
Colin Watson
oem-config (Ubuntu)
Medium
Colin Watson
ubiquity (Ubuntu)
Medium
Colin Watson

Bug Description

Binary package hint: ubiquity

For the Kazakh language is missing a reference to its locale in the file concole-setup.py. A small patch attached

Vitaly Petrov (kafik) wrote :
Colin Watson (cjwatson) wrote :

It's a bit more complicated than that and needs fixes in several other places. (Also, the list should stay sorted.)

summary: - ubiquity in file console_setup.py no entry for "kz" locale (simple
- patch)
+ kz layout is non-Latin
Changed in console-setup (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
status: New → Fix Committed
Colin Watson (cjwatson) wrote :

Thanks for the note about this problem: I think that should be all the relevant places fixed now.

Changed in ubiquity (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → Medium
status: New → Fix Committed
Changed in oem-config (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → Medium
status: New → Fix Committed
Colin Watson (cjwatson) on 2009-04-08
Changed in console-setup (Ubuntu):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package console-setup - 1.28ubuntu8

---------------
console-setup (1.28ubuntu8) jaunty; urgency=low

  * Update Ubuntu-specific strings from Launchpad.
  * Treat the Kazakhstan layout (kz) as non-Latin (LP: #356816).

 -- Colin Watson <email address hidden> Thu, 09 Apr 2009 01:15:09 +0100

Changed in console-setup (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oem-config - 1.54.12

---------------
oem-config (1.54.12) jaunty; urgency=low

  * Sync with console-setup 1.28ubuntu8: treat the Kazakhstan layout (kz) as
    non-Latin (LP: #356816).
  * Work around a debconf bug which broke the default time zone for some
    countries: REGISTER does not appear to give a newly-registered question
    the same default as the question associated with its template, unless we
    also RESET it, so do that (LP: #356794).
  * Update translations from Launchpad.
  * Automatic update of included source packages: console-setup 1.28ubuntu8,
    user-setup 1.23ubuntu18.

 -- Colin Watson <email address hidden> Thu, 09 Apr 2009 10:03:54 +0100

Changed in oem-config (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 1.12.6

---------------
ubiquity (1.12.6) jaunty; urgency=low

  [ Colin Watson ]
  * GTK frontend:
    - Copy-and-paste gdm-signal from powermanagement-interface, since that
      package is no longer in main and is slated to go away. In future we
      ought to be able to use gnome-session D-BUS calls or similar for this
      work (LP: #357101).
  * Use gksudo --preserve-env / sudo -E so that we can check DESKTOP_SESSION
    from the GTK frontend, and use other desktop environment variables in
    future.
  * Try a couple of different locations for NetworkManager's init script
    (LP: #356813).
  * Sync with console-setup 1.28ubuntu8: treat the Kazakhstan layout (kz) as
    non-Latin (LP: #356816).
  * Work around a debconf bug which broke the default time zone for some
    countries: REGISTER does not appear to give a newly-registered question
    the same default as the question associated with its template, unless we
    also RESET it, so do that (LP: #356794).
  * Update translations from Launchpad.
  * Automatic update of included source packages: base-installer
    1.98ubuntu6, console-setup 1.28ubuntu8, flash-kernel 2.13ubuntu6,
    partman-auto 84ubuntu3, partman-base 129ubuntu7, partman-target
    58ubuntu7, user-setup 1.23ubuntu18.

  [ Evan Dandrea ]
  * Provide translation support for the format warning on the automatic
    partitioning page, and make it less tied to English grammar. Thanks
    Timo Jyrinki (LP: #356333).
  * Only show the migration-assistant page if we have items we can
    import.
  * Don't let the time zone map image grow larger than the original.
  * Automatic update of included source packages: migration-assistant
    0.6.4.

 -- Evan Dandrea <email address hidden> Thu, 09 Apr 2009 14:46:10 +0100

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released
Colin Watson (cjwatson) on 2009-04-15
Changed in gfxboot-theme-ubuntu (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → Medium
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gfxboot-theme-ubuntu - 0.7.6

---------------
gfxboot-theme-ubuntu (0.7.6) jaunty; urgency=low

  * Sync with console-setup 1.28ubuntu8: treat the Kazakhstan layout (kz) as
    non-Latin (LP: #356816).

 -- Colin Watson <email address hidden> Thu, 16 Apr 2009 14:03:27 +0100

Changed in gfxboot-theme-ubuntu (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers